Name:           buildbot
Version:        0.8.8
%define slaveversion 0.8.8
Release:        %mkrel 3
Summary:        Build/test automation system
Group:          Development/Python
License:        GPLv2+
URL:            http://buildbot.net
Source0:        https://pypi.python.org/packages/source/b/%{name}/%{name}-%{version}.tar.gz
Source1:        https://pypi.python.org/packages/source/b/%{name}-slave/%{name}-slave-%{slaveversion}.tar.gz
Patch0:	        buildbot-req.patch
BuildArch:      noarch
BuildRequires:  python-devel
BuildRequires:  python-setuptools
BuildRequires:  python-sphinx
BuildRequires:  texinfo
Requires:       %{name}-master >= %{version}
Requires:       %{name}-slave >= %{slaveversion}

%description
The BuildBot is a system to automate the compile/test cycle required by
most software projects to validate code changes. By automatically
rebuilding and testing the tree each time something has changed, build
problems are pinpointed quickly, before other developers are
inconvenienced by the failure.

%package        master
Summary:        buildbot master
Group:          Development/Python
Requires:       python-twisted >= 8.0.0
Requires:       python-twisted-web
Requires:       python-twisted-mail
Requires:       python-twisted-words
Requires:       python-twisted-conch
Requires:       python-jinja2 >= 2.1
Requires:       python-sqlalchemy
Requires:	python-sqlalchemy-migrate
Requires:       python-boto
Suggests:       %{name}-doc

%description    master
The BuildBot is a system to automate the compile/test cycle required by
most software projects to validate code changes. By automatically
rebuilding and testing the tree each time something has changed, build
problems are pinpointed quickly, before other developers are
inconvenienced by the failure. 
This package contains only the buildmaster implementation.
The buildbot-slave package contains the buildslave.

%package        slave
Version:        %{slaveversion}
Summary:        buildbot slave
Group:          Development/Python
Requires:       python-twisted >= 8.0.0
Requires:       python-jinja2 >= 2.1

%description    slave
This package contains only the buildslave implementation.
The buildbot-master package contains the buildmaster.

%package        doc
Group:          Development/Python
License:        GPLv2+
Summary:        BuildBot documentation
%description    doc
Buildbot documentation.

%prep
%setup -q -b 1 -n %{name}-slave-%{slaveversion}
%setup -q
%patch0 -p0

%build
%{__python} setup.py build

pushd docs
make docs.tgz
popd

pushd ../%{name}-slave-%{slaveversion}
%{__python} setup.py build
popd

%install
%{__python} setup.py install -O1 --skip-build --root %{buildroot} 

mkdir -p %{buildroot}%{_datadir}/%{name}/ \
         %{buildroot}%{_mandir}/man1/ \
         %{buildroot}%{_docdir}/%{name}-%{version}

cp -R contrib %{buildroot}/%{_datadir}/%{name}/

# install the man page
cp docs/buildbot.1 %{buildroot}%{_mandir}/man1/buildbot.1

# install HTML documentation
tar xf docs/docs.tgz --strip-components=1 -C %{buildroot}%{_docdir}/%{name}-%{version}

# clean up Windows contribs.
sed -i 's/\r//' %{buildroot}/%{_datadir}/%{name}/contrib/windows/*
chmod -x %{buildroot}/%{_datadir}/%{name}/contrib/windows/*

# install slave
cd ../%{name}-slave-%{slaveversion}
%{__python} setup.py install -O1 --skip-build --root %{buildroot} 

# fix script-without-shebang
sed -i '1i#!/usr/bin/python' %{buildroot}%{_datadir}/%{name}/contrib/bk_buildbot.py

%files

%files          master
%doc %{_mandir}/man1/buildbot.1.xz
%doc COPYING CREDITS NEWS README UPGRADING
%{_bindir}/buildbot
%{py_puresitedir}/buildbot
%{_datadir}/%{name}
%{py_puresitedir}/buildbot-*egg-info

%files          doc
%{_docdir}/%{name}-%{version}

%files          slave
%doc COPYING NEWS README UPGRADING
%{_bindir}/buildslave
%{py_puresitedir}/buildslave
%{py_puresitedir}/buildbot_slave-*egg-info


%changelog
* Tue Oct 22 2013 umeabot <umeabot> 0.8.8-3.mga4
+ Revision: 542518
- Mageia 4 Mass Rebuild

* Mon Oct 14 2013 pterjan <pterjan> 0.8.8-2.mga4
+ Revision: 497668
- Rebuild to add different pythonegg provides for python 2 and 3

* Sun Aug 25 2013 philippem <philippem> 0.8.8-1.mga4
+ Revision: 471711
- update to 0.8.8

* Mon Jun 10 2013 philippem <philippem> 0.8.7p1-1.mga4
+ Revision: 441866
- adjust requires for python-dateutil
- adjust requires for python-dateutil

* Sat Jun 08 2013 philippem <philippem> 0.8.7p1-0.mga4
+ Revision: 440615
- upstream update and rebuild for python-dateutil dependency

* Fri Jan 11 2013 umeabot <umeabot> 0.8.7-3.mga3
+ Revision: 347220
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Mon Sep 24 2012 fwang <fwang> 0.8.7-2.mga3
+ Revision: 296972
- correct list req

* Mon Sep 24 2012 fwang <fwang> 0.8.7-1.mga3
+ Revision: 296963
- new version 0.8.7

* Sat Sep 08 2012 philippem <philippem> 0.8.6p1-2.mga3
+ Revision: 290223
+ rebuild (emptylog)

* Tue Sep 04 2012 philippem <philippem> 0.8.6p1-1.mga3
+ Revision: 288103
- New upstream release

* Mon Oct 24 2011 philippem <philippem> 0.8.5-2.mga2
+ Revision: 157877
+ rebuild (emptylog)

* Mon Oct 24 2011 philippem <philippem> 0.8.5-1.mga2
+ Revision: 157742
- new upstream

* Tue Jul 12 2011 philippem <philippem> 0.8.4p1-3.mga2
+ Revision: 123055
+ rebuild (emptylog)

* Mon Jul 11 2011 philippem <philippem> 0.8.4p1-2.mga2
+ Revision: 122175
-fix require on python-sqlalchemy-migrate

* Mon Jul 04 2011 philippem <philippem> 0.8.4p1-1.mga2
+ Revision: 118139
- Update to 8.4
- add new requires (python-sqlalchemy)

* Sat Jun 11 2011 philippem <philippem> 0.8.3p1-1.mga2
+ Revision: 103857
-upstream update
-add master, slave and doc packages

* Thu Mar 17 2011 tv <tv> 0.8.0-3.mga1
+ Revision: 73377
- imported package buildbot


* Sat Nov 06 2010 Jani Välimaa <wally@mandriva.org> 0.8.0-3mdv2011.0
+ Revision: 594296
- rebuild for python 2.7

  + Michael Scherer <misc@mandriva.org>
    - rebuild for python 2.7

  + Tadej Panjtar <tadej@mandriva.org>
    - update to 0.8.0

* Wed May 05 2010 Funda Wang <fwang@mandriva.org> 0.7.12-2mdv2010.1
+ Revision: 542308
- BR python-setuptools

* Sat Mar 06 2010 Sandro Cazzaniga <kharec@mandriva.org> 0.7.12-1mdv2010.1
+ Revision: 515258
- update to 0.7.12

* Mon Dec 14 2009 Stéphane Téletchéa <steletch@mandriva.org> 0.7.11p3-3mdv2010.1
+ Revision: 478465
- rpm-mandriva-setup fixed

* Mon Dec 14 2009 Stéphane Téletchéa <steletch@mandriva.org> 0.7.11p3-2mdv2010.1
+ Revision: 478462
- Provide a more clear explanation for the debugfiles list bug in rpm-mandriva-setup

* Fri Dec 11 2009 Stéphane Téletchéa <steletch@mandriva.org> 0.7.11p3-1mdv2010.1
+ Revision: 476461
- fix permissions for emit.py
- Fix error on debug search in the bs

  + Tadej Panjtar <tadej@mandriva.org>
    - minor corrections according to packaging standards
    - Update to new version

* Thu Sep 10 2009 Thierry Vignaud <tv@mandriva.org> 0.7.10p1-2mdv2010.0
+ Revision: 436903
- rebuild

* Thu Mar 05 2009 Jérôme Soyer <saispo@mandriva.org> 0.7.10p1-1mdv2009.1
+ Revision: 348914
- New upstream release

* Sun Dec 28 2008 Funda Wang <fwang@mandriva.org> 0.7.9-1mdv2009.1
+ Revision: 320366
- New version 0.7.9

* Mon Aug 11 2008 Jérôme Soyer <saispo@mandriva.org> 0.7.8-1mdv2009.0
+ Revision: 270612
- New release 0.7.8

* Thu Aug 07 2008 Thierry Vignaud <tv@mandriva.org> 0.7.7-2mdv2009.0
+ Revision: 266429
- rebuild early 2009.0 package (before pixel changes)

* Thu Apr 17 2008 Funda Wang <fwang@mandriva.org> 0.7.7-1mdv2009.0
+ Revision: 195060
- New version 0.7.7

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

  + Thierry Vignaud <tv@mandriva.org>
    - kill re-definition of %%buildroot on Pixel's request

* Tue Oct 09 2007 Jérôme Soyer <saispo@mandriva.org> 0.7.6-1mdv2008.1
+ Revision: 95946
- New release 0.7.6
- New release 0.7.6

* Thu Sep 27 2007 Anne Nicolas <ennael@mandriva.org> 0.7.5-3mdv2008.0
+ Revision: 93423
- bump release to reupload

* Wed Jun 06 2007 Jérôme Soyer <saispo@mandriva.org> 0.7.5-2mdv2008.0
+ Revision: 36098
- Fix %%mkrel number
- Bump release for rebuild
- Remove noarch
- Fix 64bits Build
- Fix RPM Group
- Import buildbot

